FROM debian:bookworm-slim

RUN apt-get update \
  && apt-get install -y libcurl4 libpq5 \
  && rm -rf /var/lib/apt/lists/*

COPY geneit_backend /usr/local/bin/geneit_backend

ENTRYPOINT ["/usr/local/bin/geneit_backend"]
